/Users/bernard/b20/bsoft/include/ps_sequence.h(3)

NAME
/Users/bernard/b20/bsoft/include/ps_sequence.h - Header file for postscript output for sequence analysis functions.

SYNOPSIS

#include 'Complex.h'
#include 'utilities.h'

  Functions
int ps_seq_info (Bstring &filename, Bstring &title, int nres, int length, double *info, double *nseq, Complex< float > *per, double *freq, char *pattern)
Generates a postscript plot from an information content analysis of a protein sequence alignment.
int ps_seq_hydrophob (Bstring &filename, Bstring &title, int length, double *Hphob, int *HPseg, double *nseq, Complex< float > *per)
Generates a postscript plot from a hydrophobicity analysis of a protein sequence alignment.

Detailed Description

Header file for postscript output for sequence analysis functions.

Author:
    Bernard Heymann

Date:
    Created: 20010515

    Modified: 20060722

Definition in file ps_sequence.h.

Function Documentation

  int ps_seq_hydrophob (Bstring & filename, Bstring & title, int length, double * Hphob, int * HPseg, double * nseq, Complex< float > * per)

Generates a postscript plot from a hydrophobicity analysis of a protein sequence alignment.

Parameters:
    &filename postscript file name.
    &title title.
    length number of alignment positions.
    *Hphob moving average of average hydrophobicity at each position.
    *HPseg assignment of hydrophobic segments.
    *nseq number of sequences represented at each position.
    *per periodicity analysis.

Returns:
    int 0.

Definition at line 194 of file ps_sequence.cpp.

  int ps_seq_info (Bstring & filename, Bstring & title, int nres, int length, double * info, double * nseq, Complex< float > * per, double * freq, char * pattern)

Generates a postscript plot from an information content analysis of a protein sequence alignment.

Parameters:
    &filename postscript file name.
    &title title.
    nres number of residue types.
    length number of alignment positions.
    *info moving average of information content.
    *nseq number of sequences represented at each position.
    *per periodicity analysis.
    *freq frequence of each residue type at each position.
    *pattern residue types at each position, in frequency order.

Returns:
    int 0.

Definition at line 33 of file ps_sequence.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.